button, input[type='submit'], select {
  
  background-color: white;
  color: black;
  box-shadow: 2px 2px black;
  
  &:hover {
    // background-color: white;
    color: black;
    box-shadow: 3px 3px black;
  }

  &:active {
    box-shadow: 1px 1px black;
    // background-color: lightgray;
    padding: .6em .4em .4em .6em;
  }

  &:disabled {
    color: rgb(72, 72, 72);
    background-color: lightgray;

    &:hover, &:active {
      box-shadow: 2px 2px black;
    }
  }
}

button, input, select {
  display: block;
  
  border: 1px solid black;

  font-size: inherit;
  padding: 0.5em;
  margin: 0.5em;
}

input {
  box-shadow: inset 1.5px 1.5px gray;

  width: 100%;

  &[type='checkbox'], &[type='radio'] {
    width: 1em;
    height: 1em;
  }
}
